Subject: Re: bug#25507: SDDM leaves drawing artifacts on screen with OpenBox

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 23 Jan 2017 14:03:36 +0100

ng0 <[email-masked]> writes:

> Using the SDDM service with GuixSD, when logging into OpenBox
> leaves glitches on screen when moving applications around,
> opening and closing windows, etc.
> For the lack of a screenshot, imagine that I am able to "draw"
> with the open windows.
>
> It is normal(?) for OpenBox that the Background from the Display
> Manager stays after login, but this "glitch" wasn't there with
> SLIM.

Have you cleared (or set) the root window contents after logging in?

~~ Ricardo